from app import app, isAnAdmin
from pyrogram.types import ChatPermissions, InlineKeyboardMarkup, InlineKeyboardButton
from modules.utils import configGet, locale
from classes.holo_user import HoloUser

# Filter users on join =========================================================================================================
@app.on_chat_member_updated(group=configGet("destination_group"))
#@app.on_message(filters.new_chat_members, group=configGet("destination_group"))
async def filter_join(app, member):

    if member.invite_link != None:

        holo_user = HoloUser(member.from_user)

        if (holo_user.link is not None) and (holo_user.link == member.invite_link):
            return
        
        if await isAnAdmin(member.invite_link.creator.id):
            return
        
        await app.send_message(configGet("admin_group"), f"User **{member.from_user.first_name}** (`{member.from_user.id}`) joined the chat not with his personal link", reply_markup=InlineKeyboardMarkup(
            [
                [
                    InlineKeyboardButton(text=str(locale("sus_allow", "button")), callback_data=f"sus_allow_{member.from_user.id}")
                ],
                [
                    InlineKeyboardButton(text=str(locale("sus_reject", "button")), callback_data=f"sus_reject_{member.from_user.id}")
                ]
            ]
        ))
        await app.restrict_chat_member(member.chat.id, member.from_user.id, permissions=ChatPermissions(
                can_send_messages=False,
                can_send_media_messages=False,
                can_send_other_messages=False,
                can_send_polls=False
            )
        )
# ==============================================================================================================================